package com.steerinfo.meterwork.meterworkhookactual.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.meterwork.meterworkhookactual.model.MeterWorkHookActual;
import com.steerinfo.meterwork.meterworkrailwayactual.model.MeterWorkRailwayActual;

import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

/**
 * MeterWorkHookActual服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-01-20 03:31
 * 类描述
 * 修订历史：
 * 日期：2022-01-20
 * 作者：generator
 * 参考：
 * 描述：MeterWorkHookActual服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterWorkHookActualService extends IBaseService<MeterWorkHookActual, String>{

    int addData(MeterWorkHookActual model);

    List<String> distinctCarNo(String carNo, String startTime, String endTime);


    int publish(MeterWorkHookActual model);

    int cancel(MeterWorkHookActual model);

    int remove(List<MeterWorkHookActual> models);

    MeterWorkHookActual clean(String actualFirstNo, String dataNo, String predictionNo);

    MeterWorkHookActual matchPrediction(String actualNo, String predictionNo, String note);

    MeterWorkHookActual cleanPrediction(MeterWorkHookActual model);

    RESTfulResult supplementaryData(MeterWorkHookActual model);
}